List offers for the authenticated partner
curl --request GET \
--url https://api.coinlist.co/v1/offers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinlist.co/v1/offers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinlist.co/v1/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"banner_url": "<string>",
"ends_at": "2025-01-01T00:00:00.000000Z",
"id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"logo_url": "<string>",
"object": "offer",
"options": [
{
"bid_increment": "<string>",
"floor_price_usd": "<string>",
"id": "05edea81-98a7-4582-aa7c-040d57cb1858",
"minimum_purchase_usd": "<string>",
"price_usd": "<string>",
"sale_agreement_url": "<string>",
"slug": "<string>",
"total_token_supply": 123
}
],
"slug": "example-offer",
"starts_at": "2025-01-01T00:00:00.000000Z",
"tagline": "Example Offer Tagline",
"type": "sale"
}
],
"object": "list",
"starting_after": "g3QAAAA...",
"starting_before": "g3QAAAA..."
}{
"message": "<string>",
"code": "<string>",
"errors": {},
"event_id": "<string>"
}Offers
List offers for the authenticated partner
GET
/
v1
/
offers
List offers for the authenticated partner
Authorizations
OAuth 2.0 authorization and token endpoints
Query Parameters
A cursor for use in pagination
A cursor for use in pagination
A limit on the number of objects to be returned
Required range:
1 <= x <= 100Example:
10
Response
Successful response.
Show child attributes
Show child attributes
String representing the object's type. Objects of the same type share the same value.
Available options:
list String representing the page cursor to used for querying the next page.
Example:
"g3QAAAA..."
String representing the page cursor to used for querying the previous page.
Example:
"g3QAAAA..."
⌘I